gr::mapper::preamble_generator Class Reference

`#include <preamble_generator.h>`

## Public Member Functions

| preamble_generator ()
| preamble_generator (int N, int seed, int mask)
| ~preamble_generator ()
preamble_generator * | clone () const
std::vector< int > | get_preamble ()

## Constructor & Destructor Documentation

## preamble_generator() [1/2]

gr::mapper::preamble_generator::preamble_generator | ( |  | ) |

## preamble_generator() [2/2]

gr::mapper::preamble_generator::preamble_generator | ( | int | N,
|  | int | seed,
|  | int | mask
| ) |  |

## ~preamble_generator()

gr::mapper::preamble_generator::~preamble_generator | ( |  | ) |

## Member Function Documentation

## clone()

preamble_generator * gr::mapper::preamble_generator::clone | ( |  | ) | const

## get_preamble()

std::vector< int > gr::mapper::preamble_generator::get_preamble | ( |  | ) |

The documentation for this class was generated from the following file:

- preamble_generator.h